Ablösung Civi Crm als Mitgliederverwaltung

08 June 2020 18:58 - SteffenO

Status: New Start date:  

Priority: Urgent Due date:  

Assignee: SteffenO % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Vorstandssitzung vom 08.06.2020   

Description

Internen Abklärungen bzgl. dem Wechsel von Civi CRM zu cyon haben leider ergeben, dass die Loopabfrage und die Einbindung der

Datenbank mit cyon nicht funktioniert.

Mein Vorschläg wäre, das System an Systopia outsourcen.

Wir hätten somit keinerlei Wartungsaufwand mehr ( je nach ABO würden wir die installation der Sicherheitsupdates selbst machen

können/müssen). Wir hätten eine produktive und eine Testumgebung, in welcher wir Erweiterungen etc. ausprobieren können, ohne

die produktive Instanz abzuwürgen.

Datenschutz nach DSGVO wäre gesichert.

Kosten:

einfach:

528 € / ca. 570 CHF aktuell

Installation sicherheitsupdates durch Systopia ( ca 4 / Jahr)

180 € / Jahr / ca 200 CHF

Dies wäre aus meiner/ AG DI Sicht eine saubere Lösung.

Unser heutiges Civi CRM ist eine Bastelbude mit sehr viel Potential, was aber keiner mehr umsetzen kann oder versteht.

Um einen "Reboot" des Civi CRM werden wir wohl nicht mehr rumkommen.

Und die Integration in unsere Website wird so wohl auch nicht mehr funktionieren, da eine neue Lösung anders aufgebaut wäre.

Dies werde ich aber noch mit Systopia besprechen, bevor wir etwas am System anfassen

Related issues:

Related to Digitale Infrastruktur - Task / Tâche #8422: Civi Crm Funktionen e... Needs Feedback28 March 2020

History

#1 - 08 June 2020 19:08 - SteffenO

- Related to Task / Tâche #8422: Civi Crm Funktionen extern geben added

#2 - 08 June 2020 20:07 - SteffenO

Funktionsumpfang:

- Rechnungslauf ( Überprüfung Status aufgrund Enddatum / Statusänderung bei Zahlungseingang/ Link in Zahlungsemail für Kredit Karte/ Bit Coin/

pay pal?)

- Versendung Zahlungserrinerung

- Mail versand an vorhandene Gruppen

- An / Abmeldung Newletter per Link in Mail + Funktion( API) per Website

- Verarbeitung von Zahlungen per Onlinezahlung ( Kredit Karte/ Bit Coin/ Pay Pal) inkl. Statusupdate

- autom. Erstellung neue Mitgliedschaft per Anmeldeformular( API?)

- Verarbeitung von CSV von postfinance.ch oder schnittstelle zum Postkonto

#3 - 08 June 2020 20:50 - SylviaO

Einbindung und Funktionalität der aktuellen Seite nach Sektionen, Themen und Sprache möglich?

https://www.piratenpartei.ch/newsletter/

-> müsste aber sowieso aktualisiert werden

#4 - 20 July 2020 20:22 - SteffenO

- Subject changed from Outsourcing Civi Crm an Systopia to Ablösung Civi Crm als Mitgliederverwaltung
https://www.piratenpartei.ch/newsletter/


- Start date deleted (08 June 2020)

Wir haben seit geraumer zeit Probelme mit dem Civi CRm, explizit mit dem Rechnungslauf. Der Ablauf dieses Scripts ist handgestrickt und wurde seit

geraumer Zeit nicht mehr gepflegt. Leider funktioniert dieser Rechnungslauf seit geraumer Zeit nicht mehr und wir haben weder die Kenntniss noch

die Fähigkeiten noch sonst einer, der sich mit dem auskennt. Somit haben wir keine Chance, diese und auch andere Funktionen wieder in Gang zu

bringen. Eine externe Programmierung steht aus kostengründen nicht im Verhältnis zum Nutzen. Daher soll eine andere Lösung gefunden werden,

mit der wieder möglichst viele Funktionen nutzbar gemacht werden sollen.

Ein pad zum aktuellen Stand :

https://pad.riseup.net/p/PPS_CRM

 Anforderungen nach Wichtigkeit

Mitglieder Basisdaten

 
Mitgliedschaften (z.B. div. Sektionen und Kosten)

 
Gruppen (z.B. div. Mailinglisten)

 
Aktivitäten

 
Änderungsverlauf/Log

 
Rechungstatus

 
Rechnungstellung

 
rollende Periodizität

 
E-Mail und PDF Generierung

 
Rechnungsnummer und QR Code Generierung

 
Zahlungslinks

 
Zahlungskontolle Post, Stripe

 
Mailing-Newsletter-Tool

 
Automatisierung Zahlungseingang Mitgliedschaften & Spenden

 
Spendenbestätigung

 
Self-Service Portal für Mitgliedschaften & Gruppen, ev. Zahlung

 
Eventmanagement & -anmeldungen

 
Bereinigungs- und Validierungsfunktionen für E-Mail und Tel.Nr.
